{ config, ... }: {
	imports = [
	# ─────────────────────────────────────────────────────────────
	# System configuration
	# ─────────────────────────────────────────────────────────────
	../../nixos/audio.nix
	../../nixos/bluetooth.nix
	../../nixos/fonts.nix
	../../nixos/home-manager.nix
	../../nixos/nix.nix
	../../nixos/systemd-boot.nix
	../../nixos/tuigreet.nix
	../../nixos/users.nix
	../../nixos/utils.nix
	../../nixos/hyprland.nix

	# ─────────────────────────────────────────────────────────────
	# System integration for Steam
	# ─────────────────────────────────────────────────────────────
	../../nixos/steam.nix

	# You should let those lines as is
	./hardware-configuration.nix
	./variables.nix

	];

	programs.nix-ld.enable = true; #Dynamic Linking
	home-manager.users."${config.var.username}" = import ./home.nix;
	services.flatpak.enable = true;
	# Don't touch this
	system.stateVersion = "24.05";
}
